#include <iostream>
#include <vector>

using namespace std;

int main()
{
    int n, k, b, i=-1;
    bool x=true;
    cin >> n >> k;
    int m[n];
    int z[n];
    for(int l=0; l<n; l++)
    {
        cin >> m[l];
    }
    for(int l=0; l<n-1; l++)
    {
        b=1;
        for(int j=l+1; j<n; j++)
        {
            if(m[j]==m[l])
                b++;
        }
        if(b>=k)
        {
            for(int o=0; o<i+1; o++)
                if(z[o]==m[l])
                {
                    x=false;
                    break;
                }
            if(x)
            {
                i++;
                z[i]=m[l];
            }
        }
        x=true;
    }
    cout << i+1 << endl;
    for(int l=0; l<i; l++)
        cout << z[l] << " ";
    cout << z[i];
    return 0;
}